Subject: Re: How to git checkout a orgin(unstage) version file in another directoy?

From: Jonathan Nieder <[email-masked]>
Date: Thu, 17 Feb 2011 04:34:31 -0600

Chunlin Zhang wrote:

> I am writing a script for git-gui's "Tools" menu to diff a file.
> I want to checkout an origin file in a tmp directory and use the diff tool.

Because you are writing a script, I'd suggest using one of the
"low-level commands (plumbing)" listed in git(1).  Because you are
retrieving a file, it would be one of the "interrogation commands".
And because it is a single file, I suppose this should be git
cat-file, git unpack-file, or git archive.

For example,

	git cat-file blob HEAD:README

will print the contents of README in the HEAD commit.

Because I am curious: what exactly would your script be used to do?
Can the git diff-tree or git diff-files command help?